%define upstream_name    File-ChangeNotify
%define upstream_version 0.22

%define _requires_exceptions perl(IO::KQueue)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Inotify-based watcher subclass
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Load)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Module::Pluggable::Object)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Params::Validate)
BuildRequires: perl(MooseX::SemiAffordanceAccessor)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(base)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides an API for creating a the File::ChangeNotify::Watcher
manpage subclass that will work on your platform.

Most of the documentation for this distro is in the
File::ChangeNotify::Watcher manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.220.0-2.mga3
+ Revision: 367147
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.220.0-1.mga3
+ Revision: 254946
- update to 0.22

* Thu Feb 23 2012 jquelin <jquelin> 0.210.0-1.mga2
+ Revision: 212872
- update to 0.21

* Fri Jun 17 2011 jquelin <jquelin> 0.200.0-1.mga2
+ Revision: 108819
- update to 0.20

* Tue Jan 25 2011 jquelin <jquelin> 0.190.0-1.mga1
+ Revision: 38589
- mageia rebuild
- imported package perl-File-ChangeNotify

